Bug 1484350 - Review Request: python-treq - A requests-like API built on top of twisted.web's Agent
Summary: Review Request: python-treq - A requests-like API built on top of twisted.web...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-08-23 10:25 UTC by Yatin Karel
Modified: 2017-09-30 06:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-14 21:53:39 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Yatin Karel 2017-08-23 10:25:50 UTC
Spec URL: https://raw.githubusercontent.com/karelyatin/consulpackaging/master/python-treq.spec
SRPM URL: https://raw.githubusercontent.com/karelyatin/consulpackaging/master/python-treq-17.8.0-1.fc25.src.rpm
Description: treq is an HTTP library inspired by requests but written on top of Twisted’s Agents.
It provides a simple, higher level API for making HTTP requests when using Twisted.
Fedora Account System Username: ykarel


mockbuild passing locally but Koji build is failing: https://koji.fedoraproject.org/koji/taskinfo?taskID=21418406

Comment 1 Robert-André Mauchin 2017-08-23 19:01:48 UTC
Hello,


 - MIT/X is not a valid Fedora license. Please consult the list of available licenses here: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses Here just MIT is sufficient:

License:        MIT

 - Please use %python2dist/%python3dist macros when you can. See: https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

%if 0%{?with_doc}
BuildRequires:  python2dist(sphinx)
BuildRequires:  python2dist(incremental)
%endif
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

 And:

Requires:       python2dist(requests) >= 2.1.0
Requires:       python2dist(six)
Requires:       python2dist(twisted) >= 16.3.0
Requires:       python2dist(attrs)

 And:
 
Requires:       python3dist(requests) >= 2.1.0
Requires:       python3dist(six)
Requires:       python3dist(twisted) >= 16.3.0
Requires:       python3dist(attrs)

 - Your description lines are too long, they should be below 80 characters per line.

 -  In generate html doc, change export PYTHONPATH to:

export PYTHONPATH=%{python2_sitelib}:%{python3_sitelib}:src

Otherwise sphinx-build fails to find the imported modules.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 58 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-treq/review-python-
     treq/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-treq , python3-treq , python-treq-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-treq-17.8.0-1.fc28.noarch.rpm
          python3-treq-17.8.0-1.fc28.noarch.rpm
          python-treq-doc-17.8.0-1.fc28.noarch.rpm
          python-treq-17.8.0-1.fc28.src.rpm
python2-treq.noarch: E: description-line-too-long C treq is an HTTP library inspired by requests but written on top of Twisted’s Agents.
python2-treq.noarch: E: description-line-too-long C It provides a simple, higher level API for making HTTP requests when using Twisted.
python3-treq.noarch: E: description-line-too-long C treq is an HTTP library inspired by requests but written on top of Twisted’s Agents.
python3-treq.noarch: E: description-line-too-long C It provides a simple, higher level API for making HTTP requests when using Twisted.
python-treq-doc.noarch: W: summary-not-capitalized C treq documentation
python-treq.src: E: description-line-too-long C treq is an HTTP library inspired by requests but written on top of Twisted’s Agents.
python-treq.src: E: description-line-too-long C It provides a simple, higher level API for making HTTP requests when using Twisted.
4 packages and 0 specfiles checked; 6 errors, 1 warnings.

Comment 2 Yatin Karel 2017-08-24 06:42:25 UTC
Incorporated comments except using pydist names(Actually i want to take this in fedora 25 and pydist names not working there, please suggest)

Spec URL: https://raw.githubusercontent.com/karelyatin/consulpackaging/master/python-treq.spec
SRPM URL: https://raw.githubusercontent.com/karelyatin/consulpackaging/master/python-treq-17.8.0-1.fc25.src.rpm



Koji build is failing looks like because of absense of incremental in repo, is there a way to test with python-incremental koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21434756

Comment 3 Robert-André Mauchin 2017-08-24 10:37:13 UTC
>is there a way to test with python-incremental koji build

Not until python-incremental is integrated into Rawhide.

It's a noarch package though, there's no reason it will be any different than a normal mockbuild.


Nevertheless, everything is good, package accepted.

Comment 4 Gwyn Ciesla 2017-08-29 10:23:50 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-treq

Comment 5 Fedora Update System 2017-08-30 14:05:02 UTC
python-treq-17.8.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7322f7ae7

Comment 6 Fedora Update System 2017-08-30 15:14:04 UTC
python-treq-17.8.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16b7dc8bfc

Comment 7 Fedora Update System 2017-08-30 15:35:22 UTC
python-treq-17.8.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-45c989fc7b

Comment 8 Fedora Update System 2017-09-01 04:21:03 UTC
python-treq-17.8.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7322f7ae7

Comment 9 Fedora Update System 2017-09-01 11:56:21 UTC
python-treq-17.8.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16b7dc8bfc

Comment 10 Fedora Update System 2017-09-01 12:54:24 UTC
python-treq-17.8.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-45c989fc7b

Comment 11 Fedora Update System 2017-09-14 21:53:39 UTC
python-treq-17.8.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-15 03:50:57 UTC
python-treq-17.8.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-30 06:07:23 UTC
python-treq-17.8.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.